import { MigrationInterface, QueryRunner } from "typeorm";

export class UpdateProfilesalaryCommandId11729172500950 implements MigrationInterface {
    name = 'UpdateProfilesalaryCommandId11729172500950'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`posMaster\` ADD \`statusReport\` varchar(20) NOT NULL COMMENT 'สถานะออกคำสั่ง' DEFAULT 'PENDING'`);
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`ALTER TABLE \`posMaster\` DROP COLUMN \`statusReport\``);
    }

}
